## libaosd 0.1.3

=== Makefile ===
SUBDIRS = libaosd \
	  examples
DISTCLEAN = autom4te.cache aclocal.m4 buildsys.mk config.h config.log config.status extra.mk libaosd.pc
EXTRA = libaosd.pc

include buildsys.mk

install-extra:
	for i in ${EXTRA}; do \
	    ${INSTALL_STATUS}; \
	    if ${MKDIR_P} ${DESTDIR}${libdir}/pkgconfig && ${INSTALL} -m 644 $$i ${DESTDIR}${libdir}/pkgconfig/$$i; then \
	    	${INSTALL_OK}; \
	    else \
	    	${INSTALL_FAILED}; \
	    fi \
	done

uninstall-extra:
	for i in ${EXTRA}; do \
	    if [ -f ${DESTDIR}${libdir}/pkgconfig/$$i ]; then \
		    if rm -f ${DESTDIR}${libdir}/pkgconfig/$$i; then \
			    ${DELETE_OK}; \
		    else \
			    ${DELETE_FAILED}; \
		    fi \
	    fi \
	done

=== examples/Makefile ===
SUBDIRS = animation \
	  aosd_cat \
	  image \
	  text

include ../buildsys.mk

=== libaosd/Makefile ===
LIB = ${LIB_PREFIX}aosd${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = aosd.c \
       aosd-internal.c \
       aosd-main.c \
       aosd-text.c

INCLUDES = aosd.h \
	   aosd-text.h

include ../buildsys.mk
include ../extra.mk

CPPFLAGS += ${LIB_CPPFLAGS} ${AUX_CFLAGS} -I..
CFLAGS += ${LIB_CFLAGS}
LIBS += ${X_LIBS} ${AUX_LDFLAGS}

=== examples/animation/Makefile ===
PROG_NOINST = animation

SRCS = animation.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${AUX_CFLAGS} -I../..
LDFLAGS += ${AUX_LDFLAGS} -L../../libaosd -laosd

=== examples/aosd_cat/Makefile ===
PROG = aosd_cat

SRCS = aosd_cat.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${AUX_CFLAGS} -I../../
LDFLAGS += ${AUX_LDFLAGS} -L../../libaosd -laosd

=== examples/image/Makefile ===
PROG_NOINST = image

SRCS = image.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${AUX_CFLAGS} -I../../
LDFLAGS += ${AUX_LDFLAGS} -L../../libaosd -laosd

=== examples/text/Makefile ===
PROG_NOINST = text

SRCS = text.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${AUX_CFLAGS} -I../..
LDFLAGS += ${AUX_LDFLAGS} -L../../libaosd -laosd

## libaosd 0.2.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
-SUBDIRS = libaosd \
-	  examples
-DISTCLEAN = autom4te.cache aclocal.m4 buildsys.mk config.h config.log config.status extra.mk libaosd.pc
-EXTRA = libaosd.pc
+include extra.mk
+
+SUBDIRS = libaosd ${TEXT_DIR} examples
+DISTCLEAN = autom4te.cache aclocal.m4 buildsys.mk config.h config.log \
+	    config.status extra.mk libaosd.pc ${TEXT_PKGCONF}
+EXTRA = libaosd.pc ${TEXT_PKGCONF}
 
 include buildsys.mk

=== libaosd-text/Makefile ===
LIB = ${LIB_PREFIX}aosd-text${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = aosd-text.c
INCLUDES = aosd-text.h

include ../buildsys.mk
include ../extra.mk

CPPFLAGS += ${LIB_CPPFLAGS} ${PANGOCAIRO_CFLAGS} -I.. -I../libaosd
CFLAGS += ${LIB_CFLAGS}
LIBS += ${PANGOCAIRO_LIBS} -L../libaosd -laosd

=== libaosd/Makefile ===
LIB = ${LIB_PREFIX}aosd${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = aosd.c \
       aosd-internal.c \
       aosd-main.c

INCLUDES = aosd.h

include ../buildsys.mk
include ../extra.mk

CPPFLAGS += ${LIB_CPPFLAGS} ${X_CFLAGS} ${CAIRO_CFLAGS} -I..
CFLAGS += ${LIB_CFLAGS}
LIBS += ${X_LIBS} ${CAIRO_LIBS}

=== examples/animation/Makefile ===
PROG_NOINST = animation

SRCS = animation.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${CAIRO_CFLAGS} -I../.. -I../../libaosd
LDFLAGS += -L../../libaosd -laosd

=== examples/aosd_cat/Makefile ===
PROG = aosd_cat

SRCS = aosd_cat.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${PANGOCAIRO_CFLAGS} ${GLIB_CFLAGS} -I../../ -I../../libaosd -I../../libaosd-text
LDFLAGS += ${GLIB_LIBS} -L../../libaosd -laosd -L../../libaosd-text -laosd-text

=== examples/image/Makefile ===
PROG_NOINST = image

SRCS = image.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${CAIRO_CFLAGS} ${GLIB_CFLAGS} -I../../ -I../../libaosd
LDFLAGS += ${GLIB_LIBS} -L../../libaosd -laosd

=== examples/scroller/Makefile ===
PROG_NOINST = scroller

SRCS = scroller.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${PANGOCAIRO_CFLAGS} -I../../ -I../../libaosd -I../../libaosd-text
LDFLAGS += -L../../libaosd -laosd -L../../libaosd-text -laosd-text

## libaosd 0.2.5

=== examples/aosd_cat/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PROG = aosd_cat
 
 SRCS = aosd_cat.c
+
+MAN = aosd_cat.1
 
 include ../../buildsys.mk
 include ../../extra.mk

## libaosd 0.2.7

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 include extra.mk
 
 SUBDIRS = libaosd ${TEXT_DIR} examples
-DISTCLEAN = autom4te.cache aclocal.m4 buildsys.mk config.h config.log \
-	    config.status extra.mk libaosd.pc ${TEXT_PKGCONF}
+DISTCLEAN = buildsys.mk extra.mk \
+	    config.h config.log config.status \
+	    libaosd.pc ${TEXT_PKGCONF}
 EXTRA = libaosd.pc ${TEXT_PKGCONF}
 
 include buildsys.mk

=== examples/Makefile ===
include ../extra.mk

SUBDIRS = ${EXAMPLES}

include ../buildsys.mk

=== libaosd-text/Makefile ===
--- 
+++ 
@@ -8,6 +8,6 @@
 include ../buildsys.mk
 include ../extra.mk
 
-CPPFLAGS += ${LIB_CPPFLAGS} ${PANGOCAIRO_CFLAGS} -I.. -I../libaosd
+CPPFLAGS += ${PANGOCAIRO_CFLAGS} -I.. -I../libaosd
 CFLAGS += ${LIB_CFLAGS}
 LIBS += ${PANGOCAIRO_LIBS} -L../libaosd -laosd

=== libaosd/Makefile ===
--- 
+++ 
@@ -11,6 +11,6 @@
 include ../buildsys.mk
 include ../extra.mk
 
-CPPFLAGS += ${LIB_CPPFLAGS} ${X_CFLAGS} ${CAIRO_CFLAGS} -I..
+CPPFLAGS += ${X_CFLAGS} ${CAIRO_CFLAGS} -I..
 CFLAGS += ${LIB_CFLAGS}
 LIBS += ${X_LIBS} ${CAIRO_LIBS}

=== examples/animation/Makefile ===
--- 
+++ 
@@ -6,4 +6,4 @@
 include ../../extra.mk
 
 CPPFLAGS += ${CAIRO_CFLAGS} -I../.. -I../../libaosd
-LDFLAGS += -L../../libaosd -laosd
+LDFLAGS += ${CAIRO_LIBS} -L../../libaosd -laosd

=== examples/aosd_cat/Makefile ===
PROG = aosd_cat

SRCS = aosd_cat.c

MAN = aosd_cat.1

DISTCLEAN = aosd_cat.1

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${PANGOCAIRO_CFLAGS} ${GLIB_CFLAGS} -I../../ -I../../libaosd -I../../libaosd-text
LDFLAGS += ${PANGOCAIRO_LIBS} ${GLIB_LIBS} -L../../libaosd -laosd -L../../libaosd-text -laosd-text

=== examples/image/Makefile ===
PROG_NOINST = image

SRCS = image.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${CAIRO_CFLAGS} ${GLIB_CFLAGS} -I../../ -I../../libaosd
LDFLAGS += ${CAIRO_LIBS} ${GLIB_LIBS} -L../../libaosd -laosd

=== examples/scroller/Makefile ===
PROG_NOINST = scroller

SRCS = scroller.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${PANGOCAIRO_CFLAGS} -I../../ -I../../libaosd -I../../libaosd-text
LDFLAGS += ${PANGOCAIRO_LIBS} -L../../libaosd -laosd -L../../libaosd-text -laosd-text

=== debian/changelog ===
libaosd (0.2.7-1) unstable; urgency=low

  * Taking over as the maintainer with approval of the previous one.
  * New upstream release:
    + linking flags were revised. (Closes: #555078)
    + Updated the manual page for aosd_cat to explain the geometry parameters
      thoroughly (Closes: #464745).
  * Bump the standards version to 3.9.1:
    + use debhelper >= 7.0.50~;
    + debian/compat: 7;
    + debian/watch: Fixed syntax.
  * debian/control:
    + libaosd-text2 now explicitly depends on libaosd2;
    + no need to explicitly define the section of the binary package
      if it matches the section of the source package;
    + Fixed the upstream URL.
  * debian/copyright:
    + Updated to use the proper copyright symbol;
    + Fixed the last name of the original author;
    + Fixed the upstream URL.
  * Switched to 3.0 (quilt) format.
  * Added the patch to avoid hiding the build process.
  * Added --as-needed and --no-undefined into LDFLAGS.

 -- Eugene Paskevich <eugene@raptor.kiev.ua>  Tue, 03 Aug 2010 17:57:58 +0300

libaosd (0.2.5-1) unstable; urgency=low

  * New upstream release, manpage dropped.
  * debian/control: Update to Standards-Version: 3.8.0, no changes required.
  * debian/control: Change my e-mail address.

 -- William Pitcock <nenolod@dereferenced.org>  Sat, 05 Jul 2008 04:00:42 -0500

libaosd (0.2.4-1) unstable; urgency=low

  * New upstream release:
    + aosd_cat has been rewritten from scratch. (Closes: #462440)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Wed, 30 Jan 2008 20:07:35 -0600

libaosd (0.2.3-1) unstable; urgency=low

  * New upstream release:
    + soname bumped on libaosd1 due to split of libaosd1 and libaosd-text code,
      new packages are libaosd2 and libaosd-text2.
  * Bump standards-version to 3.7.3; no changes required.
  * No more patches to apply; dpatch build dependency dropped.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Thu, 10 Jan 2008 01:32:48 -0600

libaosd (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Fri, 30 Nov 2007 07:42:21 -0600

libaosd (0.1.2-1) unstable; urgency=low

  * New upstream release.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Thu, 22 Nov 2007 02:08:23 -0600

libaosd (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #451895)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Mon, 19 Nov 2007 04:31:14 -0600

=== debian/control ===
Source: libaosd
Priority: optional
Maintainer: Eugene Paskevich <eugene@raptor.kiev.ua>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libice-dev, libpango1.0-dev, libcairo2-dev, libxcomposite-dev, libxrender-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.atheme.org/project/libaosd

Package: aosd-cat
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an on screen display tool which uses libaosd
 aosd_cat is an advanced on screen display tool based on
 libaosd. It can be used for OSD-style notifications in
 shell scripts.

Package: libaosd-dev
Section: libdevel
Architecture: any
Depends: libaosd2 (= ${binary:Version}), libaosd-text2 (= ${binary:Version}), ${misc:Depends}
Description: atheme.org's on screen display library - dev
 libaosd is an advanced on screen display library. It supports
 many modern features like anti-aliased text and composited
 rendering via XComposite, as well as support for rendering
 Cairo and Pango layouts.
 .
 This package contains the development headers.

Package: libaosd2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libaosd-text2
Description: atheme.org's on screen display library - main
 libaosd is an advanced on screen display library. It supports
 many modern features like anti-aliased text and composited
 rendering via XComposite, as well as support for rendering
 Cairo and Pango layouts.
 .
 This package contains the main library.

Package: libaosd-text2
Architecture: any
Depends: libaosd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: atheme.org's on screen display library - text layout
 libaosd is an advanced on screen display library. It supports
 many modern features like anti-aliased text and composited
 rendering via XComposite, as well as support for rendering
 Cairo and Pango layouts.
 .
 This package contains the text layout library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS += -Wl,-z,defs,--as-needed,--no-undefined

%:
	dh $@

## libaosd 0.2.7-1maemo1

=== debian/changelog ===
libaosd (0.2.7-1maemo1) unstable; urgency=low

  * First maemo build

 -- Xes <xes.maemo@gmail.com>  Tue, 10 Feb 2014 21:57:58 +0100

=== debian/control ===
Source: libaosd
Priority: optional
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libx11-dev, libice-dev, libpango1.0-dev, libcairo2-dev, libxrender-dev, libxcomposite-dev
Standards-Version: 3.8.0
Section: libs

Package: aosd-cat
Section: x11
Architecture: any
Depends: ${shlibs:Depends}
Description: an on screen display tool which uses libaosd
 aosd_cat is an advanced on screen display tool based on
 libaosd. It can be used for OSD-style notifications in
 shell scripts.

Package: libaosd-dev
Section: libdevel
Architecture: any
Depends: libaosd2 (= ${binary:Version}), libaosd-text2 (= ${binary:Version})
Description: atheme.org's on screen display library - dev
 libaosd is an advanced on screen display library. It supports
 many modern features like anti-aliased text and composited
 rendering via XComposite, as well as support for rendering
 Cairo and Pango layouts.
 .
 This package contains the development headers. 

Package: libaosd2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libaosd-text2
Description: atheme.org's on screen display library - main
 libaosd is an advanced on screen display library. It supports
 many modern features like anti-aliased text and composited
 rendering via XComposite, as well as support for rendering
 Cairo and Pango layouts.
 .
 This package contains the main library.

Package: libaosd-text2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: atheme.org's on screen display library - text layout
 libaosd is an advanced on screen display library. It supports
 many modern features like anti-aliased text and composited
 rendering via XComposite, as well as support for rendering
 Cairo and Pango layouts.
 .
 This package contains the text layout library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE)
	#(cd examples/aosd_cat; $(MAKE))
	#(cd examples/image; $(MAKE))
	#(cd examples/scroller; $(MAKE))
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f buildsys.mk ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mkdir -p debian/tmp/usr/bin/
	#install -m 755 examples/aosd_cat/aosd_cat debian/tmp/usr/bin/aosd_cat
	install -m 755 examples/animation/animation debian/tmp/usr/bin/animation
	install -m 755 examples/image/image debian/tmp/usr/bin/image
	install -m 755 examples/scroller/scroller debian/tmp/usr/bin/scroller


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installman
	dh_installdocs
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
